> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported column types

> Return the list of supported Trino column data types.



## OpenAPI

````yaml get /api/metastore/column-types
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/metastore/column-types:
    get:
      tags:
        - Metastore
      summary: Get supported column types
      description: Return the list of supported Trino column data types.
      operationId: get_column_types_api_metastore_column_types_get
      responses:
        '200':
          description: Column types retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ColumnTypesResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ColumnTypesResponse:
      properties:
        types:
          items:
            type: string
          type: array
          title: Types
          description: List of supported Trino column data types
      type: object
      required:
        - types
      title: ColumnTypesResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````